import std.stdio;

void main()
{
    auto a = "ка­кая-то стро­ка";
    auto b = a; // a и b ссы­ла­ют­ся на один и тот же мас­сив
    a is b && writeln("Ага, это действительно одно и то же.");
    auto c = "какая-то (другая) строка";
    a is c || writeln("Действительно... не одно и то же.");
}
